{
	"info": {
		"_postman_id": "2cec316d-df1e-4815-b5b7-b49cf2e9c197",
		"name": "epp",
		"schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json",
		"_exporter_id": "24657033"
	},
	"item": [
		{
			"name": "UserProvider",
			"item": [
				{
					"name": "[微服务] 用户登录",
					"request": {
						"method": "POST",
						"header": [],
						"url": {
							"raw": "http://localhost:8001/user/login?username=root&password=root",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8001",
							"path": [
								"user",
								"login"
							],
							"query": [
								{
									"key": "username",
									"value": "root"
								},
								{
									"key": "password",
									"value": "root"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 用户登录",
					"request": {
						"method": "POST",
						"header": [],
						"url": {
							"raw": "http://epp.only4.work/user/login?username=root&password=root",
							"protocol": "http",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"user",
								"login"
							],
							"query": [
								{
									"key": "username",
									"value": "root"
								},
								{
									"key": "password",
									"value": "root"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 用户登录 OPTIONS",
					"request": {
						"method": "OPTIONS",
						"header": [],
						"url": {
							"raw": "http://localhost:8001/user/login",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8001",
							"path": [
								"user",
								"login"
							]
						}
					},
					"response": []
				},
				{
					"name": "[Gateway] 用户登录 OPTIONS",
					"request": {
						"method": "OPTIONS",
						"header": [],
						"url": {
							"raw": "http://localhost:80/user/login",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "80",
							"path": [
								"user",
								"login"
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 用户登录 OPTIONS",
					"request": {
						"method": "OPTIONS",
						"header": [],
						"url": {
							"raw": "https://epp.only4.work/user/login",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"user",
								"login"
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 管理后台 获取用户列表",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "http://localhost:8001/user/manage/getUserList",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8001",
							"path": [
								"user",
								"manage",
								"getUserList"
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 管理后台 获取用户列表",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "http://epp.only4.work/user/manage/getUserList",
							"protocol": "http",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"user",
								"manage",
								"getUserList"
							]
						}
					},
					"response": []
				},
				{
					"name": "http://localhost:8001/user/manage/getUserList?pageIndex=2&pageSize=2&username=&roleId=&realname=&phoneNumber=11&idNumber=&buildingId=&doorplate=",
					"request": {
						"method": "GET",
						"header": [
							{
								"key": "authority",
								"value": "epp.only4.work"
							},
							{
								"key": "accept",
								"value": "application/json, text/plain, */*"
							},
							{
								"key": "accept-language",
								"value": "zh-CN,zh;q=0.9,en;q=0.8"
							},
							{
								"key": "origin",
								"value": "http://localhost:5173"
							},
							{
								"key": "referer",
								"value": "http://localhost:5173/"
							},
							{
								"key": "sec-ch-ua",
								"value": "\"Google Chrome\";v=\"111\", \"Not(A:Brand\";v=\"8\", \"Chromium\";v=\"111\""
							},
							{
								"key": "sec-ch-ua-mobile",
								"value": "?0"
							},
							{
								"key": "sec-ch-ua-platform",
								"value": "\"Windows\""
							},
							{
								"key": "sec-fetch-dest",
								"value": "empty"
							},
							{
								"key": "sec-fetch-mode",
								"value": "cors"
							},
							{
								"key": "sec-fetch-site",
								"value": "cross-site"
							},
							{
								"key": "user-agent",
								"value": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/111.0.0.0 Safari/537.36"
							}
						],
						"url": {
							"raw": "http://localhost:8001/user/manage/getUserList?pageIndex=2&pageSize=2&username=&roleId=&realname=&phoneNumber=11&idNumber=&buildingId=&doorplate=",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8001",
							"path": [
								"user",
								"manage",
								"getUserList"
							],
							"query": [
								{
									"key": "pageIndex",
									"value": "2"
								},
								{
									"key": "pageSize",
									"value": "2"
								},
								{
									"key": "username",
									"value": ""
								},
								{
									"key": "roleId",
									"value": ""
								},
								{
									"key": "realname",
									"value": ""
								},
								{
									"key": "phoneNumber",
									"value": "11"
								},
								{
									"key": "idNumber",
									"value": ""
								},
								{
									"key": "buildingId",
									"value": ""
								},
								{
									"key": "doorplate",
									"value": ""
								}
							]
						}
					},
					"response": []
				}
			]
		},
		{
			"name": "AccessProvider",
			"item": [
				{
					"name": "[微服务] 获取用户进出码信息",
					"request": {
						"method": "POST",
						"header": [],
						"url": {
							"raw": "http://localhost:8002/access/code/getCodeInfo?id=1",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8002",
							"path": [
								"access",
								"code",
								"getCodeInfo"
							],
							"query": [
								{
									"key": "id",
									"value": "1"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 获取用户进出码信息",
					"request": {
						"method": "POST",
						"header": [],
						"url": {
							"raw": "https://epp.only4.work/access/code/getCodeInfo?id=1",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"access",
								"code",
								"getCodeInfo"
							],
							"query": [
								{
									"key": "id",
									"value": "1"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 获取微信小程序AccessToken",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "http://localhost:8002/access/wechat/getAccessToken",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8002",
							"path": [
								"access",
								"wechat",
								"getAccessToken"
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 获取不限制的小程序码",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "http://localhost:8002/access/wechat/getUnlimitedQRCode?scene=t=1&page=pages/index/index",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8002",
							"path": [
								"access",
								"wechat",
								"getUnlimitedQRCode"
							],
							"query": [
								{
									"key": "envVersion",
									"value": "develop",
									"disabled": true
								},
								{
									"key": "scene",
									"value": "t=1"
								},
								{
									"key": "page",
									"value": "pages/index/index"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 获取不限制的小程序码",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "https://epp.only4.work/access/wechat/getUnlimitedQRCode?scene=t=1&page=pages/index/index",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"access",
								"wechat",
								"getUnlimitedQRCode"
							],
							"query": [
								{
									"key": "envVersion",
									"value": "develop",
									"disabled": true
								},
								{
									"key": "scene",
									"value": "t=1"
								},
								{
									"key": "page",
									"value": "pages/index/index"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 门禁端 获取大门列表",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "https://epp.only4.work/access/gate/guard-client/getGateList",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"access",
								"gate",
								"guard-client",
								"getGateList"
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 小程序端 获取大门详情",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "http://localhost:8002/access/gate/miniprogram/detail?id=261758638368624873480",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8002",
							"path": [
								"access",
								"gate",
								"miniprogram",
								"detail"
							],
							"query": [
								{
									"key": "id",
									"value": "261758638368624873480"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 小程序端 获取大门详情 Copy",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "https://epp.only4.work/access/gate/miniprogram/detail?id=261758638368624873480",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"access",
								"gate",
								"miniprogram",
								"detail"
							],
							"query": [
								{
									"key": "id",
									"value": "261758638368624873480"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务RPC] 微信小程序登录获取openId",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "http://localhost:8002/access/wechat/rpc/getOpenIdFromApi?code=0f1meZZv3MRot03quH3w3Xnp744meZZu",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8002",
							"path": [
								"access",
								"wechat",
								"rpc",
								"getOpenIdFromApi"
							],
							"query": [
								{
									"key": "code",
									"value": "0f1meZZv3MRot03quH3w3Xnp744meZZu"
								}
							]
						}
					},
					"response": []
				}
			]
		},
		{
			"name": "TestProvider",
			"item": [
				{
					"name": "http://localhost:8011/hi/1",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "http://localhost:8011/hi/1",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8011",
							"path": [
								"hi",
								"1"
							]
						}
					},
					"response": []
				},
				{
					"name": "http://localhost:80/test",
					"request": {
						"method": "POST",
						"header": [],
						"url": {
							"raw": "http://localhost:80/test/test",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "80",
							"path": [
								"test",
								"test"
							]
						}
					},
					"response": []
				},
				{
					"name": "http://localhost:8011/test",
					"request": {
						"method": "POST",
						"header": [],
						"url": {
							"raw": "http://localhost:8011/test",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8011",
							"path": [
								"test"
							]
						}
					},
					"response": []
				}
			]
		},
		{
			"name": "ShopProvider",
			"item": [
				{
					"name": "[线上] 获取商品列表",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "https://epp.only4.work/shop/good/miniprogram/list?cateId=4&searchText=罩",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"shop",
								"good",
								"miniprogram",
								"list"
							],
							"query": [
								{
									"key": "cateId",
									"value": "4"
								},
								{
									"key": "searchText",
									"value": "%25%25",
									"disabled": true
								},
								{
									"key": "searchText",
									"value": "罩"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 获取商品详情",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "https://epp.only4.work/shop/good/miniprogram/detail?id=2",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"shop",
								"good",
								"miniprogram",
								"detail"
							],
							"query": [
								{
									"key": "id",
									"value": "2"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 获取商品分类列表",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "https://epp.only4.work/shop/good/miniprogram/cateList",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"shop",
								"good",
								"miniprogram",
								"cateList"
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 小程序端下单",
					"request": {
						"method": "POST",
						"header": [],
						"body": {
							"mode": "raw",
							"raw": "{\r\n    \"userId\": 1,\r\n    \"orderList\": [\r\n        {\r\n            \"goodId\": 2,\r\n            \"count\": 3\r\n        },\r\n        {\r\n            \"goodId\": 3,\r\n            \"count\": 1\r\n        }\r\n    ]\r\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "https://epp.only4.work/shop/order/miniprogram/createOrder",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"shop",
								"order",
								"miniprogram",
								"createOrder"
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 小程序端下单",
					"request": {
						"method": "POST",
						"header": [],
						"body": {
							"mode": "raw",
							"raw": "{\r\n    \"userId\": 1,\r\n    \"orderList\": [\r\n        {\r\n            \"goodId\": 2,\r\n            \"count\": 3\r\n        },\r\n        {\r\n            \"goodId\": 3,\r\n            \"count\": 1\r\n        }\r\n    ]\r\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "http://localhost:8003/shop/order/miniprogram/createOrder",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8003",
							"path": [
								"shop",
								"order",
								"miniprogram",
								"createOrder"
							]
						}
					},
					"response": []
				},
				{
					"name": "[线上] 小程序订单详情",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "https://epp.only4.work/shop/order/miniprogram/orderDetail?orderId=1",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"shop",
								"order",
								"miniprogram",
								"orderDetail"
							],
							"query": [
								{
									"key": "orderId",
									"value": "1"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 小程序订单详情",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "http://localhost:8003/shop/order/miniprogram/orderDetail?orderId=1748800678865801225",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8003",
							"path": [
								"shop",
								"order",
								"miniprogram",
								"orderDetail"
							],
							"query": [
								{
									"key": "orderId",
									"value": "1",
									"disabled": true
								},
								{
									"key": "orderId",
									"value": "1748800678865801225"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 小程序用户订单列表",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "http://localhost:8003/shop/order/miniprogram/listUserOrder?userId=1",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8003",
							"path": [
								"shop",
								"order",
								"miniprogram",
								"listUserOrder"
							],
							"query": [
								{
									"key": "orderId",
									"value": "1",
									"disabled": true
								},
								{
									"key": "userId",
									"value": "1"
								}
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 小程序端支付订单",
					"request": {
						"method": "POST",
						"header": [],
						"body": {
							"mode": "raw",
							"raw": "{\r\n    \"orderId\": \"1749496012575215624\"\r\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "http://localhost:8003/shop/order/miniprogram/payOrder",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8003",
							"path": [
								"shop",
								"order",
								"miniprogram",
								"payOrder"
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] 小程序端取消订单",
					"request": {
						"method": "POST",
						"header": [],
						"body": {
							"mode": "raw",
							"raw": "{\r\n    \"orderId\": \"1749496012575215624\"\r\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "http://localhost:8003/shop/order/miniprogram/cancelOrder",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8003",
							"path": [
								"shop",
								"order",
								"miniprogram",
								"cancelOrder"
							]
						}
					},
					"response": []
				},
				{
					"name": "https://epp.only4.work/shop/good/manage/editGood",
					"request": {
						"method": "POST",
						"header": [
							{
								"key": "authority",
								"value": "epp.only4.work"
							},
							{
								"key": "accept",
								"value": "application/json, text/plain, */*"
							},
							{
								"key": "accept-language",
								"value": "zh-CN,zh;q=0.9,en;q=0.8"
							},
							{
								"key": "content-type",
								"value": "application/x-www-form-urlencoded"
							},
							{
								"key": "origin",
								"value": "http://localhost:5174"
							},
							{
								"key": "referer",
								"value": "http://localhost:5174/"
							},
							{
								"key": "sec-ch-ua",
								"value": "\"Google Chrome\";v=\"111\", \"Not(A:Brand\";v=\"8\", \"Chromium\";v=\"111\""
							},
							{
								"key": "sec-ch-ua-mobile",
								"value": "?0"
							},
							{
								"key": "sec-ch-ua-platform",
								"value": "\"Windows\""
							},
							{
								"key": "sec-fetch-dest",
								"value": "empty"
							},
							{
								"key": "sec-fetch-mode",
								"value": "cors"
							},
							{
								"key": "sec-fetch-site",
								"value": "cross-site"
							},
							{
								"key": "user-agent",
								"value": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/111.0.0.0 Safari/537.36"
							}
						],
						"body": {
							"mode": "urlencoded",
							"urlencoded": [
								{
									"key": "id",
									"value": "-1",
									"type": "text"
								},
								{
									"key": "picUrl",
									"value": "qfbcdboiwxn",
									"type": "text"
								},
								{
									"key": "goodsName",
									"value": "syihtraudeuueqrmqe",
									"type": "text"
								},
								{
									"key": "categoryId",
									"value": "2",
									"type": "text"
								},
								{
									"key": "brand",
									"value": "vfadnwkwvxnp",
									"type": "text"
								},
								{
									"key": "brief",
									"value": "swxypuwotn",
									"type": "text"
								},
								{
									"key": "isOnSale",
									"value": "1",
									"type": "text"
								},
								{
									"key": "sortOrder",
									"value": "797",
									"type": "text"
								},
								{
									"key": "unit",
									"value": "oyu",
									"type": "text"
								},
								{
									"key": "counterPrice",
									"value": "133.5214",
									"type": "text"
								},
								{
									"key": "retailPrice",
									"value": "2701338743",
									"type": "text"
								},
								{
									"key": "detail",
									"value": "hpfowwfaewhclntoyddefpyroqmwkkqgsyuvmktwwkwbrqtocrygeusevgvwbplvnectvdrkwfybilhspgqpzmgmhsiadkdsvwj",
									"type": "text"
								}
							]
						},
						"url": {
							"raw": "https://epp.only4.work/shop/good/manage/editGood",
							"protocol": "https",
							"host": [
								"epp",
								"only4",
								"work"
							],
							"path": [
								"shop",
								"good",
								"manage",
								"editGood"
							]
						}
					},
					"response": []
				},
				{
					"name": "[微服务] getTmpCosCredential",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "http://localhost:8003/shop/good/manage/imageUpload/getTmpCosCredential?ext=1",
							"protocol": "http",
							"host": [
								"localhost"
							],
							"port": "8003",
							"path": [
								"shop",
								"good",
								"manage",
								"imageUpload",
								"getTmpCosCredential"
							],
							"query": [
								{
									"key": "ext",
									"value": "1"
								}
							]
						}
					},
					"response": []
				}
			]
		}
	]
}